﻿using SDON.Serialization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SDON
{
    /// <summary>
    /// Object that represents document-wide default settings
    /// </summary>
    [Serializable]
    public sealed class DocumentDefaults : SDONSerializeable
    {
        /// <summary>
        /// Vertical spacing defaults for connectors
        /// </summary>
        [IgnoreIfDefaultValue(Default = -1.0)]
        [DataMember(Name = "VerticalSpacing")]
        public double _verticalSpacing = -1.0;

        /// <summary>
        /// Horizontal spacing defaults for connectors
        /// </summary>
        [IgnoreIfDefaultValue(Default = -1.0)]
        [DataMember(Name = "HorizontalSpacing")]
        public double _horizontalSpacing = -1.0;

        /// <summary>
        /// The Vertical spacing for connectors.
        /// </summary>
        public double VerticalSpacing
        {
            get { return _verticalSpacing; }
            set { _verticalSpacing = value; }
        }

        /// <summary>
        /// The Horizontal spacing for connectors.
        /// </summary>
        public double HorizontalSpacing
        {
            get { return _horizontalSpacing; }
            set { _horizontalSpacing = value; }
        }
    }
}
