﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using SDON.Serialization;

namespace SDON
{
    /// <summary>
    /// Interface for text
    /// </summary>
    public interface LineInterface<T>
    {

        /// <summary>
        /// The border thickness of the shape in 1/100”. If omitted, the thickness is the default for the template.
        /// </summary>
        /// <param name="lineThick">Thickness of the border</param>
        /// <returns>T</returns>
        T SetLineThickness(double lineThick);


        /// <summary>
        /// The border color of the shape (hex RGB value or color alias). If omitted, color is the default for the template.
        /// </summary>
        /// <param name="lineColor">Line color. RBG or color alias</param>
        /// <returns>T</returns>
        T SetLineColor(string lineColor);

        /// <summary>
        /// Set line pattern                
        /// </summary>
        /// <param name="linePattern">Line pattern... one of the LinePatterns enum</param>
        /// <returns>T</returns>
        T SetLinePattern(string linePattern);
    }
}
