﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using SDON.Serialization;

namespace SDON
{
    /// <summary>
    /// Interface for text
    /// </summary>
    public interface TextInterfaceCore<T>
    {
        /// <summary>
        /// Set the label value
        /// </summary>
        /// <param name="label">Label Text</param>
        /// <returns>T</returns>
        T SetLabel(string label);


        /// <summary>
        /// Bold value for label    
        /// </summary>
        /// <param name="textBold">Bold text</param>
        /// <returns>T</returns>
        T SetTextBold(bool textBold);


        /// <summary>
        /// Italic text on label   
        /// </summary>
        /// <param name="textItalic">Italic text</param>
        /// <returns>T</returns>
        T SetTextItalic(bool textItalic);

        /// <summary>
        /// Underlined text in label   
        /// </summary>
        /// <param name="textUnderline">Underlined text</param>
        /// <returns>T</returns>
        T SetTextUnderline(bool textUnderline);

        /// <summary>
        /// Point size of text.  
        /// </summary>
        /// <param name="textSize">Size of text</param>
        /// <returns>T</returns>
        T SetTextSize(double textSize);

        /// <summary>
        /// Set the font            
        /// </summary>
        /// <param name="textFont">Font name</param>
        /// <returns>T</returns>
        T SetTextFont(string textFont);

        /// <summary>
        /// Set the text color of the label.   
        /// </summary>
        /// <param name="textColor">Color of the text</param>
        /// <returns>T</returns>
        T SetTextColor(string textColor);
    }
}
